autofs-5.0.9 - link daemon with pthread library

From: Michael Tokarev <mjt@tls.msk.ru>

automountd uses pthread functions but does not link
with -lpthread.  This worked because other libraries
it links with indirectly uses -lpthread too, but this
breaks with -Wl,--no-as-needed or with gold instead of ld.
---
 CHANGELOG       |    1 +
 daemon/Makefile |    2 +-
 2 files changed, 2 insertions(+), 1 deletion(-)

diff --git a/CHANGELOG b/CHANGELOG
index ffdee2a..a7cf993 100644
--- a/CHANGELOG
+++ b/CHANGELOG
@@ -35,6 +35,7 @@
 - fix gcc5 complaints.
 - remove unused offset handling code.
 - fix mount as you go offset selection.
+- link daemon with pthread library (Debian patch).
 
 28/03/2014 autofs-5.0.9
 =======================
diff --git a/daemon/Makefile b/daemon/Makefile
index 6604c9a..e13688d 100644
--- a/daemon/Makefile
+++ b/daemon/Makefile
@@ -20,7 +20,7 @@ CFLAGS += -DAUTOFS_FIFO_DIR=\"$(autofsfifodir)\"
 CFLAGS += -DAUTOFS_FLAG_DIR=\"$(autofsflagdir)\"
 CFLAGS += -DVERSION_STRING=\"$(version)\"
 LDFLAGS += -rdynamic
-LIBS += -ldl
+LIBS += -ldl -lpthread
 
 ifeq ($(LDAP), 1)
     CFLAGS += $(XML_FLAGS)
